org.apache.ignite.internal.processors.cache

## Class GridCacheFutureAdapter<R>

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<R>
  - - org.apache.ignite.internal.processors.cache.GridCacheFutureAdapter<R>

All Implemented Interfaces:
  IgniteInternalFuture<R>, GridCacheFuture<R>

Direct Known Subclasses:
  GridDhtAtomicAbstractUpdateFuture, GridDhtTxAbstractEnlistFuture, GridLocalLockFuture, GridNearAtomicAbstractUpdateFuture, GridPartitionedSingleGetFuture

    public abstract class GridCacheFutureAdapter<R>
    extends GridFutureAdapter<R>
    implements GridCacheFuture<R>

### Constructor Summary

Constructors
Constructor and Description
`GridCacheFutureAdapter()` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `duration()` Gets duration in milliseconds between start of the future and current time if future is not finished, or between start and finish of this future.
`protected boolean` `onDone(R res, Throwable err, boolean cancel)`
`long` `startTime()` Gets start time for this future.

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`cancel, chain, chain, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onCancelled, onDone, onDone, onDone, onDone, reset, result, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.GridCacheFuture

`futureId, markNotTrackable, onNodeLeft, trackable`

### Methods inherited from interface org.apache.ignite.internal.IgniteInternalFuture

`cancel, chain, chain, error, get, get, get, getUninterruptibly, isCancelled, isDone, listen, result`

### Constructor Detail

#### GridCacheFutureAdapter

    public GridCacheFutureAdapter()

Default constructor.

### Method Detail

#### startTime

    public long startTime()

Gets start time for this future.

Specified by:
  `startTime` in interface `GridCacheFuture<R>`
Returns:
  Start time for this future.

#### duration

    public long duration()

Gets duration in milliseconds between start of the future and current time if future is not finished, or between start and finish of this future.

Specified by:
  `duration` in interface `GridCacheFuture<R>`
Returns:
  Time in milliseconds this future has taken to execute.

#### onDone

    protected boolean onDone(@Nullable
                             R res,
                             @Nullable
                             Throwable err,
                             boolean cancel)

Overrides:
  `onDone` in class `GridFutureAdapter<R>`
Parameters:
  `res` - Result.
  `err` - Error.
  `cancel` - `True` if future is being cancelled.
Returns:
  `True` if result was set by this call.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019